Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class FlowFacesContextLifecycleListener

    java.lang.Object
      org.springframework.webflow.execution.FlowExecutionListenerAdapter
          org.springframework.faces.webflow.FlowFacesContextLifecycleListener

All Implemented Interfaces:
  FlowExecutionListener

    public class FlowFacesContextLifecycleListener

extends FlowExecutionListenerAdapter

A `FlowExecutionListener` that creates a `FlowFacesContext` instance when a flow request is submitted and releases it when the request has been processed.

Author:
  Rossen Stoyanchev

Field Summary
`static java.lang.String` | `DEFAULT_FACES_CONTEXT`

Constructor Summary
`FlowFacesContextLifecycleListener()`

Method Summary
`void` | `requestProcessed(RequestContext context)` Releases the current `FlowFacesContext` instance.
`void` | `requestSubmitted(RequestContext context)` Creates a new instance of `FlowFacesContext` that is then available for the duration of the request.

Methods inherited from class org.springframework.webflow.execution.FlowExecutionListenerAdapter
`eventSignaled, exceptionThrown, paused, resuming, sessionCreating, sessionEnded, sessionEnding, sessionStarted, sessionStarting, stateEntered, stateEntering, transitionExecuting, viewRendered, viewRendering`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_FACES_CONTEXT

    public static final java.lang.String DEFAULT_FACES_CONTEXT

Constructor Detail

### FlowFacesContextLifecycleListener

    public FlowFacesContextLifecycleListener()

Method Detail

### requestSubmitted

    public void requestSubmitted(RequestContext context)

  Creates a new instance of `FlowFacesContext` that is then available for the duration of the request.

  Specified by:
    `requestSubmitted` in interface `FlowExecutionListener`
  Overrides:
    `requestSubmitted` in class `FlowExecutionListenerAdapter`
  Parameters:
    `context` - the current flow request context

### requestProcessed

    public void requestProcessed(RequestContext context)

  Releases the current `FlowFacesContext` instance.

  Specified by:
    `requestProcessed` in interface `FlowExecutionListener`
  Overrides:
    `requestProcessed` in class `FlowExecutionListenerAdapter`
  Parameters:
    `context` - the source of the event

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD